﻿@model  PagedList.IPagedList<MvcWebsiteOcc.Areas.administrators.Models.Event>
@using MvcWebsiteOcc.Models;
@using PagedList.Mvc;
@{
    if (Localization.Get("lng") == "VI")
    {
        ViewBag.Title = "Tin tức";
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    else
    {
        ViewBag.Title = "Blog";
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    //Layout = "~/Views/Shared/_LayoutDetailPage.cshtml";

    var url = Request.Url.Host;
    var index = url.IndexOf(".");
    

    var subDomain = url.Substring(0, index);
}

<!-- BEGIN .content -->
<section class="content">

    <!-- BEGIN .wrapper -->
    <div class="wrapper">
        <div class="breaking-news">
            <div class="breaking-title">
                <h3>Lịch sự kiện</h3>
            </div>

            <div class="breaking-block">
                <ul>
                    <li><a href="/su-kien.html" target="_blank" class="break-category" style="background-color: #276197;">Ca múa nhạc</a>
                        <h4><a href="/su-kien.html" target="_blank">Liveshow "10 năm 1 chăng đường" tại sân vận động Quốc gia ngày 20/03/2018</a></h4>
                        <a href="/su-kien.html" target="_blank" class="comment-link"><i class="fa fa-comment-o"></i>0</a></li>
                    <li><a href="/su-kien.html" target="_blank" class="break-category" style="background-color: #429d4a;">Thời trang</a>
                        <h4><a href="/su-kien.html" target="_blank">Bộ sưu tập "Mùa tập yêu" của NTK Trương Thanh ngày 19/10/2016</a></h4>
                        <a href="/su-kien.html" target="_blank" class="comment-link"><i class="fa fa-comment-o"></i>0</a></li>
                    <li><a href="/su-kien.html" target="_blank" class="break-category" style="background-color: #ffd800; color: #232323;">Người đẹp</a>
                        <h4><a href="/su-kien.html" target="_blank">Cuộc thi "Người đẹp trên cao" tại Z Stadium ngày 31/02/2016</a></h4>
                        <a href="/su-kien.html" target="_blank" class="comment-link"><i class="fa fa-comment-o"></i>0</a></li>
                </ul>
            </div>
        </div>
        <div class="main-content has-sidebar events">
            <!-- BEGIN #sidebar -->


            <!-- BEGIN .left-content -->
            <div class="left-content">

                <!-- hot .home-block -->
                <div class="home-block">
                    <div class="main-title" style="border-left: 4px solid #A161DD">

                        <h2>Sự kiện</h2>
                        <span>Các sự kiện hot</span>
                    </div>

                    <div class="photo-galleries">
                        @{if (Model.Count > 0)
                          {
                            <ul class="grid effect-2 news" id="grid">
                                @{foreach (var item in Model)
                                  {
                                    <li>
                                        <div class="item" style="width: 100%">
                                            <div class="item-header">
                                                @{ string domain = "";
                                                   if (subDomain == "www")
                                                   {
                                                       domain = Request.Url.Host.Replace("www.","");
                                                   }
                                                   else
                                                   {
                                                       domain = Request.Url.Host;
                                                   }
                                                   string link = "http://" + item.Subdomain + "." + domain;
                                                }
                                                <a href="@link" target="_blank" class="image-hover">
                                                    <img src="/uploaded/images/sukien/@item.Folder/@item.EventPoster">
                                                </a>
                                            </div>
                                            <div class="item-content">
                                                <div class="content-category">
                                                    <a style="color: #e8b400;">@item.EventsCategory.EventCateName</a>
                                                </div>
                                                <h3><a href="@link" target="_blank">@item.EventName</a></h3>

                                                <p class="caps">
                                                    @Html.Raw(item.ShortDescription)
                                                </p>
                                                <p>
                                                    <b>Bắt đầu: </b>@OccConvert.ViewDateFull(item.TimeStart)
                                                    <br />
                                                    <b>Kết thúc: </b>@OccConvert.ViewDateFull(item.TimeEnd)
                                                    <br />
                                                    <b>Địa điểm: </b>@item.Address
                                                </p>
                                                @* <a href="/su-kien.html" target="_blank"  class="read-more-link">View Gallery<i class="fa fa-angle-double-right"></i></a>*@
                                            </div>
                                        </div>
                                    </li>
                                  }}


                            </ul>
                          }}

                    </div>
                </div>
            </div>
            <aside id="sidebar" style="position: relative">
                <div class="sidebar-fixed">
                    <div class="widget">
                        <h3>Sự kiện</h3>
                        <div class="socialize-widget">
                            <div class="responsive-calendar">
                                <div class="controls">
                                    <a class="pull-left" data-go="prev">
                                        <div class="btn_c">Trước</div>
                                    </a>
                                    <h4><span data-head-month></span>- <span data-head-year></span></h4>
                                    <a class="pull-right" data-go="next">
                                        <div class="btn_c">Sau</div>
                                    </a>
                                </div>
                                <hr />
                                <div class="day-headers">
                                    <div class="day header_">Hai</div>
                                    <div class="day header_">Ba</div>
                                    <div class="day header_">Tư</div>
                                    <div class="day header_">Năm</div>
                                    <div class="day header_">Sáu</div>
                                    <div class="day header_">Bảy</div>
                                    <div class="day header_">CN</div>
                                </div>
                                <div class="days" data-group="days">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="widget">
                        <h3>Tìm kiếm</h3>
                        <div class="search_tab">
                            <input class="search_tb" type="search" value="" placeholder="Tìm kiếm..." autocomplete="off" required="required" name="s">
                            <button type="submit" class="search_btn" value="search">
                                <i class="fa fa-search"></i>
                            </button>
                        </div>
                    </div>
                    <div class="widget">
                        <div class="banner">
                            <a href="#" target="_blank">
                                <img src="/Static/frontend/hoakhoi/images/no-banner-300x250.png" alt="" /></a>
                        </div>
                    </div>
                </div>

                <!-- END #sidebar -->
            </aside>
        </div>

        <!-- END .wrapper -->
    </div>

    <!-- BEGIN .content -->
</section>

@section PageScripts{

    <script type="text/javascript">
        $(document).ready(function () {
            load();

            //function getTimeRemaining(endtime) {
            //    var t = Date.parse(endtime) - Date.parse(new Date());
            //    var seconds = Math.floor((t / 1000) % 60);
            //    var minutes = Math.floor((t / 1000 / 60) % 60);
            //    var hours = Math.floor((t / (1000 * 60 * 60)) % 24);
            //    var days = Math.floor(t / (1000 * 60 * 60 * 24));
            //    return {
            //        'total': t,
            //        'days': days,
            //        'hours': hours,
            //        'minutes': minutes,
            //        'seconds': seconds
            //    };
            //}

            //function initializeClock(id, endtime) {
            //    var clock = document.getElementById(id);
            //    var daysSpan = clock.querySelector('.days');
            //    var hoursSpan = clock.querySelector('.hours');
            //    var minutesSpan = clock.querySelector('.minutes');
            //    var secondsSpan = clock.querySelector('.seconds');

            //    function updateClock() {
            //        var t = getTimeRemaining(endtime);

            //        daysSpan.innerHTML = t.days;
            //        hoursSpan.innerHTML = ('0' + t.hours).slice(-2);
            //        minutesSpan.innerHTML = ('0' + t.minutes).slice(-2);
            //        secondsSpan.innerHTML = ('0' + t.seconds).slice(-2);

            //        if (t.total <= 0) {
            //            clearInterval(timeinterval);
            //        }
            //    }

            //    updateClock();
            //    var timeinterval = setInterval(updateClock, 1000);
            //}

            //var deadline = new Date(Date.parse(new Date()) + 15 * 24 * 60 * 60 * 1000);
            //initializeClock('clockdiv', deadline);

            //$('[data-toggle="tooltip"]').tooltip();
        });

        function load() {
            new AnimOnScroll(document.getElementById('grid'), {
                minDuration: 0.4,
                maxDuration: 0.7,
                viewportFactor: 0.2
            });

            //new AnimOnScroll(document.getElementById('grid_event'), {
            //    minDuration: 0.4,
            //    maxDuration: 0.7,
            //    viewportFactor: 0.2
            //});


        }
    </script>

}